Actionslider

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions
Actionslider
Elementary

## Macros
#define | ELM_ACTIONSLIDER_CLASS elm_actionslider_class_get()
| An actionslider is a switcher for 2 or 3 labels.
#define | ELM_ACTIONSLIDER_EVENT_POS_CHANGED (&(_ELM_ACTIONSLIDER_EVENT_POS_CHANGED))
| The position of the actionslider has changed.

## Enumerations
enum | Elm_Actionslider_Pos { ELM_ACTIONSLIDER_NONE = 0 , ELM_ACTIONSLIDER_LEFT = 1 , ELM_ACTIONSLIDER_CENTER = 2 , ELM_ACTIONSLIDER_RIGHT = 4 , ELM_ACTIONSLIDER_ALL = 7 , ELM_ACTIONSLIDER_NONE = 0 , ELM_ACTIONSLIDER_LEFT = 1 , ELM_ACTIONSLIDER_CENTER = 2 , ELM_ACTIONSLIDER_RIGHT = 4 , ELM_ACTIONSLIDER_ALL = 7 }
| A position for indicators, magnets, and enabled items. More...
enum | Elm_Actionslider_Pos { ELM_ACTIONSLIDER_NONE = 0 , ELM_ACTIONSLIDER_LEFT = 1 , ELM_ACTIONSLIDER_CENTER = 2 , ELM_ACTIONSLIDER_RIGHT = 4 , ELM_ACTIONSLIDER_ALL = 7 , ELM_ACTIONSLIDER_NONE = 0 , ELM_ACTIONSLIDER_LEFT = 1 , ELM_ACTIONSLIDER_CENTER = 2 , ELM_ACTIONSLIDER_RIGHT = 4 , ELM_ACTIONSLIDER_ALL = 7 }
| A position for indicators, magnets, and enabled items. More...

## Functions
EOAPI void | elm_obj_actionslider_indicator_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Actionslider position indicator.
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_indicator_pos_get (const Eo *obj)
| Actionslider position indicator.
EOAPI void | elm_obj_actionslider_magnet_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Actionslider magnet position.
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_magnet_pos_get (const Eo *obj)
| Actionslider magnet position.
EOAPI void | elm_obj_actionslider_enabled_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Actionslider enabled position.
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_enabled_pos_get (const Eo *obj)
| Actionslider enabled position.
EOAPI const char * | elm_obj_actionslider_selected_label_get (const Eo *obj)
| Get actionslider selected label.
Evas_Object * | elm_actionslider_add (Evas_Object *parent)
| Add a new actionslider to the parent.

## Detailed Description

An actionslider is a switcher for 2 or 3 labels with customizable magnet properties. The user drags and releases the indicator, to choose a label.

Labels occupy the following positions. a. Left b. Right c. Center

Positions can be enabled or disabled.

Magnets can be set on the above positions.

When the indicator is released, it will move to its nearest "enabled and magnetized" position.

Note
  By default all positions are set as enabled.

This widget inherits from the Layout one, so that all the functions acting on it also work for actionslider objects.

This widget emits the following signals, besides the ones sent from Layout :

- `"selected"` - when user selects an enabled position (the label is passed as event info).
- `"pos_changed"` - when the indicator reaches any of the positions("left", "right" or "center").
- `"language,changed"` - the program's language changed (since 1.9)

Default text parts of the actionslider widget that you can use for are:

- "indicator" - An indicator label of the actionslider
- "left" - A left label of the actionslider
- "right" - A right label of the actionslider
- "center" - A center label of the actionslider

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get

See an example of actionslider usage here

## Macro Definition Documentation

## ◆ ELM_ACTIONSLIDER_CLASS

#define ELM_ACTIONSLIDER_CLASS elm_actionslider_class_get()

An actionslider is a switcher for 2 or 3 labels.

with customizable magnet properties. The user drags and releases the indicator, to choose a label. When the indicator is released, it will move to its nearest "enabled and magnetized" position.

## ◆ ELM_ACTIONSLIDER_EVENT_POS_CHANGED

#define ELM_ACTIONSLIDER_EVENT_POS_CHANGED (&(_ELM_ACTIONSLIDER_EVENT_POS_CHANGED))

The position of the actionslider has changed.

Returns
  const char *

## Enumeration Type Documentation

## ◆ Elm_Actionslider_Pos [1/2]

enum Elm_Actionslider_Pos

A position for indicators, magnets, and enabled items.

Enumerator
ELM_ACTIONSLIDER_NONE | No position is set.
ELM_ACTIONSLIDER_LEFT | Left position.
ELM_ACTIONSLIDER_CENTER | Center position.
ELM_ACTIONSLIDER_RIGHT | Right position.
ELM_ACTIONSLIDER_ALL | All positions for left/center/right.
ELM_ACTIONSLIDER_NONE | No position is set.
ELM_ACTIONSLIDER_LEFT | Left position.
ELM_ACTIONSLIDER_CENTER | Center position.
ELM_ACTIONSLIDER_RIGHT | Right position.
ELM_ACTIONSLIDER_ALL | All positions for left/center/right.

## ◆ Elm_Actionslider_Pos [2/2]

enum Elm_Actionslider_Pos

A position for indicators, magnets, and enabled items.

Enumerator
ELM_ACTIONSLIDER_NONE | No position is set.
ELM_ACTIONSLIDER_LEFT | Left position.
ELM_ACTIONSLIDER_CENTER | Center position.
ELM_ACTIONSLIDER_RIGHT | Right position.
ELM_ACTIONSLIDER_ALL | All positions for left/center/right.
ELM_ACTIONSLIDER_NONE | No position is set.
ELM_ACTIONSLIDER_LEFT | Left position.
ELM_ACTIONSLIDER_CENTER | Center position.
ELM_ACTIONSLIDER_RIGHT | Right position.
ELM_ACTIONSLIDER_ALL | All positions for left/center/right.

## Function Documentation

## ◆ elm_obj_actionslider_indicator_pos_set()

EOAPI void elm_obj_actionslider_indicator_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Actionslider position indicator.

Parameters

  [in] | obj | The object.
  [in] | pos | The position of the indicator.

## ◆ elm_obj_actionslider_indicator_pos_get()

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_indicator_pos_get | ( | const Eo * | obj | ) |

Actionslider position indicator.

Parameters

  [in] | obj | The object.

Returns
  The position of the indicator.

## ◆ elm_obj_actionslider_magnet_pos_set()

EOAPI void elm_obj_actionslider_magnet_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Actionslider magnet position.

To make multiple positions magnets OR them together (e.g. ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)

Parameters

  [in] | obj | The object.
  [in] | pos | Bit mask indicating the magnet positions.

## ◆ elm_obj_actionslider_magnet_pos_get()

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_magnet_pos_get | ( | const Eo * | obj | ) |

Actionslider magnet position.

Parameters

  [in] | obj | The object.

Returns
  Bit mask indicating the magnet positions.

## ◆ elm_obj_actionslider_enabled_pos_set()

EOAPI void elm_obj_actionslider_enabled_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Actionslider enabled position.

To set multiple positions as enabled OR them together(e.g. ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).

Note
  All the positions are enabled by default.

Parameters

  [in] | obj | The object.
  [in] | pos | Bit mask indicating the enabled positions.

## ◆ elm_obj_actionslider_enabled_pos_get()

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_enabled_pos_get | ( | const Eo * | obj | ) |

Actionslider enabled position.

Parameters

  [in] | obj | The object.

Returns
  Bit mask indicating the enabled positions.

## ◆ elm_obj_actionslider_selected_label_get()

EOAPI const char * elm_obj_actionslider_selected_label_get | ( | const Eo * | obj | ) |

Get actionslider selected label.

Parameters

  [in] | obj | The object.

Returns
  Selected label

## ◆ elm_actionslider_add()

Evas_Object * elm_actionslider_add | ( | Evas_Object * | parent | ) |

Add a new actionslider to the parent.

Parameters

  parent | The parent object

Returns
  The new actionslider object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.